package com.example.android.backup;

import java.io.IOException;

import android.app.backup.BackupAgentHelper;
import android.app.backup.BackupDataInput;
import android.app.backup.BackupDataOutput;
import android.app.backup.FileBackupHelper;
import android.os.ParcelFileDescriptor;
import android.util.Log;

public class FileBackupAgent extends BackupAgentHelper {
	static final String FILENAME = "data.txt";
	static final String FILES_BACKUP_KEY = "files";
	static final Object LOCK = new Object();
	static final String TAG = "FileBakupAgent";

	@Override
	public void onCreate() {
		FileBackupHelper helper = new FileBackupHelper(this, FILENAME);
		addHelper(FILES_BACKUP_KEY, helper);
	}

	@Override
	public void onBackup(ParcelFileDescriptor oldState, BackupDataOutput data,
			ParcelFileDescriptor newState) throws IOException {
		Log.d(TAG, "Backup files...");
		synchronized (LOCK) {
			super.onBackup(oldState, data, newState);
		}
	}

	@Override
	public void onRestore(BackupDataInput data, int appVersionCode,
			ParcelFileDescriptor newState) throws IOException {
		Log.d(TAG, "Restore files...");
		synchronized (LOCK) {
			super.onRestore(data, appVersionCode, newState);
		}
		MainActivity.sendBroadcast(this);
	}
}
